Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class UserImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.OrganizationalEntityImpl
          org.jbpm.services.task.impl.model.UserImpl

All Implemented Interfaces:
  Externalizable, Serializable, OrganizationalEntity, User, org.kie.internal.task.api.model.InternalOrganizationalEntity

    @Entity
    public class UserImpl

extends OrganizationalEntityImpl
implements User

See Also:
  Serialized Form

Constructor Summary
`UserImpl()`
`UserImpl(String id)`

Method Summary
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jbpm.services.task.impl.model.OrganizationalEntityImpl
`equals, getId, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.kie.api.task.model.OrganizationalEntity
`getId`

Constructor Detail

### UserImpl

    public UserImpl()

### UserImpl

    public UserImpl(String id)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `OrganizationalEntityImpl`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `OrganizationalEntityImpl`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.